!================================================================
!       test si la z_matrice peut etre ecrite pour gaussian
!          monstergauss exthuc
!================================================================

      FUNCTION test_zmat(na,ind_zmat)

      use Path_module
      use Io_module

      IMPLICIT NONE

      logical :: pos,test_zmat
      integer(KINT) :: i,na,n
      integer(KINT) :: ind_zmat(Na,5)
      integer(KINT), ALLOCATABLE :: ind_pos(:)

      ALLOCATE(ind_pos(Na))
       pos=.true.

      DO i=1,na
       ind_pos(ind_zmat(i,1))=i
      END DO

      DO i=2,na
        n=ind_zmat(i,2)
        IF (ind_pos(n) .GE. i) THEN
           pos=.false. .AND. pos
           write(IOOUT,*) 'Bond:',n,ind_pos(n),i,pos
        END IF
      END DO

      DO i=3,na
        n=ind_zmat(i,3)
        IF (ind_pos(n) .GE. i) THEN
           pos=.false. .AND. pos
           write(IOOUT,*) 'Angle:',n,ind_pos(n),i,pos
        END IF
      END DO

      DO i=4,na
        n=ind_zmat(i,4)
        IF (ind_pos(n) .GE. i) THEN
           pos=.false. .AND. pos
           write(IOOUT,*) 'Dihedral:',n,ind_pos(n),i,pos
        END IF
      END DO

      test_zmat=pos
      DEALLOCATE(ind_pos)

      END
